/// <reference types="react" />
import { ListProps } from '@bluebase/components';
export declare const List: (import("react").ComponentClass<ListProps, any> & {
    Avatar: import("react").ComponentType<import("@bluebase/components").ListAvatarProps>;
    Icon: import("react").ComponentType<import("@bluebase/components").ListIconProps>;
    Item: import("react").ComponentType<import("@bluebase/components").ListItemProps>;
    Subheader: import("react").ComponentType<import("@bluebase/components").ListSubheaderProps>;
}) | (import("react").FunctionComponent<ListProps> & {
    Avatar: import("react").ComponentType<import("@bluebase/components").ListAvatarProps>;
    Icon: import("react").ComponentType<import("@bluebase/components").ListIconProps>;
    Item: import("react").ComponentType<import("@bluebase/components").ListItemProps>;
    Subheader: import("react").ComponentType<import("@bluebase/components").ListSubheaderProps>;
});
